package com.ibiz.core.external.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[商业险报价]
 */
public class SYXBJ implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 商业险报价名称 属性
     */
    private String SYXBJName;

    @JsonIgnore
    private boolean SYXBJNameDirtyFlag;

    /**
     * 费率 属性
     */
    private Double Fl;

    @JsonIgnore
    private boolean FlDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 平台返回系数 属性
     */
    private Double Ptfhxs;

    @JsonIgnore
    private boolean PtfhxsDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 基准保费 属性
     */
    private BigDecimal Jzbf;

    @JsonIgnore
    private boolean JzbfDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 条款名称 属性
     */
    private String Tkmc;

    @JsonIgnore
    private boolean TkmcDirtyFlag;

    /**
     * MD 属性
     */
    private String Md;

    @JsonIgnore
    private boolean MdDirtyFlag;

    /**
     * 条款代码 属性
     */
    private String Tkdm;

    @JsonIgnore
    private boolean TkdmDirtyFlag;

    /**
     * 实交保费 属性
     */
    private BigDecimal Sjbf;

    @JsonIgnore
    private boolean SjbfDirtyFlag;

    /**
     * 商业险报价标识 属性
     */
    private String SYXBJId;

    @JsonIgnore
    private boolean SYXBJIdDirtyFlag;


    /**
     * 获取 [商业险报价名称]
     */
    public String getSYXBJName(){
        return SYXBJName ;
    }

    /**
     * 设置 [商业险报价名称]
     */
    public void setSYXBJName(String  sYXBJName){
        this.SYXBJName = sYXBJName ;
        this.SYXBJNameDirtyFlag = true ;
    }

    /**
     * 获取 [商业险报价名称]脏标记
     */
    @JsonIgnore
    public boolean getSYXBJNameDirtyFlag(){
        return SYXBJNameDirtyFlag ;
    }
    /**
     * 获取 [费率]
     */
    public Double getFl(){
        return Fl ;
    }

    /**
     * 设置 [费率]
     */
    public void setFl(Double  fl){
        this.Fl = fl ;
        this.FlDirtyFlag = true ;
    }

    /**
     * 获取 [费率]脏标记
     */
    @JsonIgnore
    public boolean getFlDirtyFlag(){
        return FlDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [平台返回系数]
     */
    public Double getPtfhxs(){
        return Ptfhxs ;
    }

    /**
     * 设置 [平台返回系数]
     */
    public void setPtfhxs(Double  ptfhxs){
        this.Ptfhxs = ptfhxs ;
        this.PtfhxsDirtyFlag = true ;
    }

    /**
     * 获取 [平台返回系数]脏标记
     */
    @JsonIgnore
    public boolean getPtfhxsDirtyFlag(){
        return PtfhxsDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [基准保费]
     */
    public BigDecimal getJzbf(){
        return Jzbf ;
    }

    /**
     * 设置 [基准保费]
     */
    public void setJzbf(BigDecimal  jzbf){
        this.Jzbf = jzbf ;
        this.JzbfDirtyFlag = true ;
    }

    /**
     * 获取 [基准保费]脏标记
     */
    @JsonIgnore
    public boolean getJzbfDirtyFlag(){
        return JzbfDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [条款名称]
     */
    public String getTkmc(){
        return Tkmc ;
    }

    /**
     * 设置 [条款名称]
     */
    public void setTkmc(String  tkmc){
        this.Tkmc = tkmc ;
        this.TkmcDirtyFlag = true ;
    }

    /**
     * 获取 [条款名称]脏标记
     */
    @JsonIgnore
    public boolean getTkmcDirtyFlag(){
        return TkmcDirtyFlag ;
    }
    /**
     * 获取 [MD]
     */
    public String getMd(){
        return Md ;
    }

    /**
     * 设置 [MD]
     */
    public void setMd(String  md){
        this.Md = md ;
        this.MdDirtyFlag = true ;
    }

    /**
     * 获取 [MD]脏标记
     */
    @JsonIgnore
    public boolean getMdDirtyFlag(){
        return MdDirtyFlag ;
    }
    /**
     * 获取 [条款代码]
     */
    public String getTkdm(){
        return Tkdm ;
    }

    /**
     * 设置 [条款代码]
     */
    public void setTkdm(String  tkdm){
        this.Tkdm = tkdm ;
        this.TkdmDirtyFlag = true ;
    }

    /**
     * 获取 [条款代码]脏标记
     */
    @JsonIgnore
    public boolean getTkdmDirtyFlag(){
        return TkdmDirtyFlag ;
    }
    /**
     * 获取 [实交保费]
     */
    public BigDecimal getSjbf(){
        return Sjbf ;
    }

    /**
     * 设置 [实交保费]
     */
    public void setSjbf(BigDecimal  sjbf){
        this.Sjbf = sjbf ;
        this.SjbfDirtyFlag = true ;
    }

    /**
     * 获取 [实交保费]脏标记
     */
    @JsonIgnore
    public boolean getSjbfDirtyFlag(){
        return SjbfDirtyFlag ;
    }
    /**
     * 获取 [商业险报价标识]
     */
    public String getSYXBJId(){
        return SYXBJId ;
    }

    /**
     * 设置 [商业险报价标识]
     */
    public void setSYXBJId(String  sYXBJId){
        this.SYXBJId = sYXBJId ;
        this.SYXBJIdDirtyFlag = true ;
    }

    /**
     * 获取 [商业险报价标识]脏标记
     */
    @JsonIgnore
    public boolean getSYXBJIdDirtyFlag(){
        return SYXBJIdDirtyFlag ;
    }
}

